## simplesnap 2.1.2

=== doc/Makefile ===
all: simplesnap.8 simplesnap.html

simplesnap.8: simplesnap.sgml
	docbook2man simplesnap.sgml
	docbook2man simplesnap.sgml
	docbook2man simplesnap.sgml

simplesnap.html: simplesnap.sgml
	docbook2html -u simplesnap.sgml

clean:
	rm -f simplesnap.html simplesnap.8

## simplesnap 1.0.3

=== debian/changelog ===
simplesnap (1.0.3) unstable; urgency=low

  * Add --backupdataset and --datasetdest options.
  * Enhance examples and documentation.
  * Fixed bug in --local

 -- John Goerzen <jgoerzen@complete.org>  Fri, 14 Feb 2014 00:22:48 -0600

simplesnap (1.0.2) unstable; urgency=low

  * Enhanced logging in simplesnapwrap.
  * Added information about interrogating the backup pool to the manpage.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 13 Feb 2014 00:47:10 -0600

simplesnap (1.0.1) unstable; urgency=low

  * Fixed exit code from simplesnap.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 12 Feb 2014 02:45:03 -0600

simplesnap (1.0.0) unstable; urgency=low

  * Initial Release.  Closes: #738740.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 11 Feb 2014 00:44:47 -0600

=== debian/control ===
Source: simplesnap
Section: admin
Priority: extra
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: https://github.com/jgoerzen/simplesnap
Vcs-Git: https://github.com/jgoerzen/simplesnap.git
Vcs-Browser: https://github.com/jgoerzen/simplesnap

Package: simplesnap
Architecture: all
Depends: ${misc:Depends}, zfs-fuse | zfsutils | zfs, liblockfile-bin
Suggests: zfsnap
Description: Simple and powerful network transmission of ZFS snapshots
 simplesnap is a simple way to send ZFS snapshots across a net‐
 work. Although it can serve many purposes, its primary goal is
 to manage backups from one ZFS filesystem to a backup filesystem
 also running ZFS, using incremental backups to minimize network
 traffic and disk usage.
 .
 simplesnap it is designed to perfectly compliment
 snapshotting tools, permitting rotating backups with arbitrary
 retention periods. It lets multiple machines back up a single
 target, lets one machine back up multiple targets, and keeps it
 all straight.
 .
 simplesnap is easy; there is no configuration file needed. One
 ZFS property is available to exclude datasets/filesystems. ZFS
 datasets are automatically discovered on machines being backed
 up.
 .
 simplesnap  is robust in the face of interrupted
 transfers, and needs little help to keep running.
 .
 nlike many similar tools, simplesnap does not
 require full root access to the machines being backed up. It
 runs only a small wrapper as root, and the wrapper has only three
 commands it implements.

## simplesnap 1.0.4

=== debian/changelog ===
simplesnap (1.0.4) unstable; urgency=low

  [ John Goerzen ]
  * Validate DATASETDEST like STORE
  * Added one more note
  * Rebuild docs

  [ Trey Dockendorf ]
  * Add ability to build RPMs via Makefile

  [ Al Nikolov ]
  * Properly substitute Unix tools with GNU tools. Works on Solaris.
  * Do a substitution for UNIX head too.

  [ John Goerzen ]
  * Rework deps so it doesn't get wrapped up in zfs-fuse removal
  * Clarified --local
  * Log errors using err syslog priority
  * Doc regen
  * New standards-version
  * Bump debhelper compat to 9

 -- John Goerzen <jgoerzen@complete.org>  Tue, 10 Oct 2017 08:45:11 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: simplesnap
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.3
+Standards-Version: 4.1.0
 Homepage: https://github.com/jgoerzen/simplesnap
 Vcs-Git: https://github.com/jgoerzen/simplesnap.git
 Vcs-Browser: https://github.com/jgoerzen/simplesnap
 
 Package: simplesnap
 Architecture: all
-Depends: ${misc:Depends}, zfs-fuse | zfsutils | zfs, liblockfile-bin
+Depends: ${misc:Depends}, zfsutils | zfsutils-linux | zfs-fuse, liblockfile-bin
 Suggests: zfsnap
 Description: Simple and powerful network transmission of ZFS snapshots
  simplesnap is a simple way to send ZFS snapshots across a net‐

## simplesnap 1.0.4+nmu1

=== debian/changelog ===
simplesnap (1.0.4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Correct the order of dependencies to list
    zfs-fuse (in main) first. (Closes: #884288)

 -- Adrian Bunk <bunk@debian.org>  Wed, 10 Jan 2018 15:09:28 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: simplesnap
 Architecture: all
-Depends: ${misc:Depends}, zfsutils | zfsutils-linux | zfs-fuse, liblockfile-bin
+Depends: ${misc:Depends}, zfs-fuse | zfsutils-linux | zfsutils, liblockfile-bin
 Suggests: zfsnap
 Description: Simple and powerful network transmission of ZFS snapshots
  simplesnap is a simple way to send ZFS snapshots across a net‐

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install-indep:
	install -m 0755 -g root -o root simplesnap debian/simplesnap/usr/sbin/
	install -m 0755 -g root -o root simplesnapwrap debian/simplesnap/usr/sbin/

## simplesnap 1.0.4+nmu2

=== debian/changelog ===
simplesnap (1.0.4+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:08:03 +0800

## simplesnap 2.0.1

=== debian/changelog ===
simplesnap (2.0.1) unstable; urgency=medium

  * Ack NMU; Closes: #884288.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 29 Dec 2020 08:46:43 -0600

simplesnap (2.0.0) unstable; urgency=low

  [ Henrik Riomar ]
  * fix: simplesnap: make dotlockfile optional

  [ John Goerzen ]
  * Add support for running with non-ZFS destination
  * Add alpha-quality support for using bookmarks instead of snapshots

 -- John Goerzen <jgoerzen@complete.org>  Mon, 28 Dec 2020 15:11:18 -0600

## simplesnap 2.1.0

=== debian/changelog ===
simplesnap (2.1.0) unstable; urgency=medium

  * Fix typo in control.  Closes: #902845.
  * Change zfs receive default to -u -o readonly=on and document security considerations

 -- John Goerzen <jgoerzen@complete.org>  Wed, 13 Jan 2021 00:27:20 -0600

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
  simplesnap  is robust in the face of interrupted
  transfers, and needs little help to keep running.
  .
- nlike many similar tools, simplesnap does not
+ Unlike many similar tools, simplesnap does not
  require full root access to the machines being backed up. It
  runs only a small wrapper as root, and the wrapper has only three
  commands it implements.

## simplesnap 2.1.2

=== debian/changelog ===
simplesnap (2.1.2) unstable; urgency=medium

  * Source-only upload for transition to testing.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 01 Sep 2022 02:17:16 -0500

simplesnap (2.1.1) unstable; urgency=medium

  * Move to contrib due to issues with zfs-fuse.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 23 Aug 2022 20:01:52 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: simplesnap
-Section: admin
+Section: contrib/admin
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 4.1.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.1.1
 Homepage: https://github.com/jgoerzen/simplesnap
 Vcs-Git: https://github.com/jgoerzen/simplesnap.git
 Vcs-Browser: https://github.com/jgoerzen/simplesnap
 
 Package: simplesnap
 Architecture: all
-Depends: ${misc:Depends}, zfs-fuse | zfsutils-linux | zfsutils, liblockfile-bin
+Depends: ${misc:Depends}, zfsutils-linux | zfs-fuse | zfsutils, liblockfile-bin
 Suggests: zfsnap
 Description: Simple and powerful network transmission of ZFS snapshots
  simplesnap is a simple way to send ZFS snapshots across a net‐

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,8 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_install-indep:
 	install -m 0755 -g root -o root simplesnap debian/simplesnap/usr/sbin/
 	install -m 0755 -g root -o root simplesnapwrap debian/simplesnap/usr/sbin/
-

## simplesnap 2.1.3

=== debian/changelog ===
simplesnap (2.1.3) unstable; urgency=medium

  * [victorclaessen] Support for transmission speed limit using pv
  * [tomhoover] MacOS compatibility
  * Various code cleanups for style and consistency

 -- John Goerzen <jgoerzen@complete.org>  Sun, 05 Jan 2025 07:41:40 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.1.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/jgoerzen/simplesnap
 Vcs-Git: https://github.com/jgoerzen/simplesnap.git
 Vcs-Browser: https://github.com/jgoerzen/simplesnap

## simplesnap 2.1.3+nmu1

=== Makefile ===
prefix := /usr
sysconfdir := /etc
sbindir := $(prefix)/sbin
datadir := $(prefix)/share
mandir := $(datadir)/man
version := 1.0.3
relversion := 1
tmpdir := /tmp
builddir := simplesnap-$(version)
topdir := $(shell pwd)/pkg

_default:
	@echo "No default. Try 'make install'"

install:
	install -d $(DESTDIR)$(mandir)/man8
	install doc/simplesnap.8 $(DESTDIR)$(mandir)/man8/simplesnap.8
	install -d $(DESTDIR)$(sbindir)
	install simplesnap $(DESTDIR)$(sbindir)/simplesnap
	install simplesnapwrap $(DESTDIR)$(sbindir)/simplesnapwrap

clean:
	rm -rf dist/
	rm -rf pkg/
	rm -rf $(tmpdir)/$(builddir)

build:
	mkdir -p $(tmpdir)/$(builddir)
	cp -r doc $(tmpdir)/$(builddir)/
	cp -r examples $(tmpdir)/$(builddir)/
	cp COPYING INSTALL.txt Makefile README.txt simplesnap simplesnapwrap TODO $(tmpdir)/$(builddir)/
	mkdir -p dist
	tar -czf dist/simplesnap-$(version).tar.gz -C $(tmpdir) simplesnap-$(version)

rpm: build
	mkdir -p $(topdir)
	cp dist/simplesnap-$(version).tar.gz $(topdir)/
	rpmbuild --define "_topdir $(topdir)" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir %{_topdir}" \
 	--define "_sourcedir  %{_topdir}" \
	--define "version $(version)" \
	--define "relversion $(relversion)" \
	-ba redhat/simplesnap.spec

=== debian/changelog ===
simplesnap (2.1.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for fakeroot when building the package.
    (Closes: #1093358)

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Feb 2025 20:32:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper-compat (= 13)
+Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/jgoerzen/simplesnap
 Vcs-Git: https://github.com/jgoerzen/simplesnap.git

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,5 @@
 	dh $@
 
 override_dh_auto_install-indep:
-	install -m 0755 -g root -o root simplesnap debian/simplesnap/usr/sbin/
-	install -m 0755 -g root -o root simplesnapwrap debian/simplesnap/usr/sbin/
+	install -m 0755 simplesnap debian/simplesnap/usr/sbin/
+	install -m 0755 simplesnapwrap debian/simplesnap/usr/sbin/

## simplesnap 2.1.3+nmu1build1

=== debian/changelog ===
simplesnap (2.1.3+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 22:23:14 +0100
